apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      descheduler.alpha.kubernetes.io/request-evict-only: ""
      k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.3.243/23"],"mac_address":"0a:58:0a:80:03:f3","gateway_ips":["10.128.2.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.128.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.128.2.1"},{"dest":"169.254.0.5/32","nextHop":"10.128.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.128.2.1"}],"ip_address":"10.128.3.243/23","gateway_ip":"10.128.2.1","role":"primary"}}'
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.128.3.243"
            ],
            "mac": "0a:58:0a:80:03:f3",
            "default": true,
            "dns": {}
        }]
      kubectl.kubernetes.io/default-container: compute
      kubevirt.io/domain: centos
      kubevirt.io/migrationTransportUnix: "true"
      kubevirt.io/vm-generation: "1"
      openshift.io/scc: kubevirt-controller
      post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze",
        "--name", "centos", "--namespace", "demo"]'
      post.hook.backup.velero.io/container: compute
      pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name",
        "centos", "--namespace", "demo"]'
      pre.hook.backup.velero.io/container: compute
      seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
      traffic.sidecar.istio.io/kubevirtInterfaces: k6t-eth0
      vm.kubevirt.io/flavor: small
      vm.kubevirt.io/os: centos-stream9
      vm.kubevirt.io/workload: server
    creationTimestamp: "2025-01-06T05:03:05Z"
    generateName: virt-launcher-centos-
    labels:
      kubevirt.io: virt-launcher
      kubevirt.io/created-by: 40263aff-4e35-4b08-aa09-fe6bba77524d
      kubevirt.io/domain: centos
      kubevirt.io/nodeName: stg-yadu418mtc-9mbzg-worker-0-qg84l
      kubevirt.io/size: small
      network.kubevirt.io/headlessService: headless
      vm.kubevirt.io/name: centos
    name: virt-launcher-centos-mk7x8
    namespace: demo
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachineInstance
      name: centos
      uid: 40263aff-4e35-4b08-aa09-fe6bba77524d
    resourceVersion: "5173924"
    uid: d8a8e961-3893-41e9-af3b-96ec93b59141
  spec:
    affinity:
      nodeAffinity:
        requiredDuringSchedulingIgnoredDuringExecution:
          nodeSelectorTerms:
          - matchExpressions:
            - key: node-labeller.kubevirt.io/obsolete-host-model
              operator: DoesNotExist
    automountServiceAccountToken: false
    containers:
    - command:
      - /usr/bin/virt-launcher-monitor
      - --qemu-timeout
      - 273s
      - --name
      - centos
      - --uid
      - 40263aff-4e35-4b08-aa09-fe6bba77524d
      - --namespace
      - demo
      - --kubevirt-share-dir
      - /var/run/kubevirt
      - --ephemeral-disk-dir
      - /var/run/kubevirt-ephemeral-disks
      - --container-disk-dir
      - /var/run/kubevirt/container-disks
      - --grace-period-seconds
      - "195"
      - --hook-sidecars
      - "0"
      - --ovmf-path
      - /usr/share/OVMF
      - --run-as-nonroot
      env:
      - name: XDG_CACHE_HOME
        value: /var/run/kubevirt-private
      - name: XDG_CONFIG_HOME
        value: /var/run/kubevirt-private
      - name: XDG_RUNTIME_DIR
        value: /var/run
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:ce5f0d0a5f0f15dceb875d24ba50b879d11caaa6cbd1a69bdb24aa189540b8f1
      imagePullPolicy: IfNotPresent
      name: compute
      resources:
        limits:
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
        requests:
          cpu: 100m
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
          ephemeral-storage: 50M
          memory: 2294Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          add:
          - NET_BIND_SERVICE
          drop:
          - ALL
        privileged: false
        runAsGroup: 107
        runAsNonRoot: true
        runAsUser: 107
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeDevices:
      - devicePath: /dev/rootdisk
        name: rootdisk
      volumeMounts:
      - mountPath: /var/run/kubevirt-private
        name: private
      - mountPath: /var/run/kubevirt
        name: public
      - mountPath: /var/run/kubevirt-ephemeral-disks
        name: ephemeral-disks
      - mountPath: /var/run/kubevirt/container-disks
        mountPropagation: HostToContainer
        name: container-disks
      - mountPath: /var/run/libvirt
        name: libvirt-runtime
      - mountPath: /var/run/kubevirt/sockets
        name: sockets
      - mountPath: /var/run/kubevirt/hotplug-disks
        mountPropagation: HostToContainer
        name: hotplug-disks
    dnsPolicy: ClusterFirst
    enableServiceLinks: false
    hostname: centos
    imagePullSecrets:
    - name: default-dockercfg-hj2b5
    nodeName: stg-yadu418mtc-9mbzg-worker-0-qg84l
    nodeSelector:
      kubernetes.io/arch: amd64
      kubevirt.io/schedulable: "true"
    preemptionPolicy: PreemptLowerPriority
    priority: 0
    readinessGates:
    - conditionType: kubevirt.io/virtual-machine-unpaused
    restartPolicy: Never
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 107
      runAsGroup: 107
      runAsNonRoot: true
      runAsUser: 107
      seccompProfile:
        localhostProfile: kubevirt/kubevirt.json
        type: Localhost
    serviceAccount: default
    serviceAccountName: default
    terminationGracePeriodSeconds: 210
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - emptyDir: {}
      name: private
    - emptyDir: {}
      name: public
    - emptyDir: {}
      name: sockets
    - emptyDir: {}
      name: virt-bin-share-dir
    - emptyDir: {}
      name: libvirt-runtime
    - emptyDir: {}
      name: ephemeral-disks
    - emptyDir: {}
      name: container-disks
    - name: rootdisk
      persistentVolumeClaim:
        claimName: centos
    - emptyDir: {}
      name: hotplug-disks
  status:
    conditions:
    - lastProbeTime: "2025-01-06T05:03:05Z"
      lastTransitionTime: "2025-01-06T05:03:05Z"
      message: the virtual machine is not paused
      reason: NotPaused
      status: "True"
      type: kubevirt.io/virtual-machine-unpaused
    - lastProbeTime: null
      lastTransitionTime: "2025-01-06T05:09:40Z"
      status: "True"
      type: PodReadyToStartContainers
    - lastProbeTime: null
      lastTransitionTime: "2025-01-06T05:09:21Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2025-01-06T05:09:40Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2025-01-06T05:09:40Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2025-01-06T05:09:21Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://e13d7c4320c87f9d86ca0a632c6f9fa08f84ebd4be642e472a41fe697ef980f9
      image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:ce5f0d0a5f0f15dceb875d24ba50b879d11caaa6cbd1a69bdb24aa189540b8f1
      imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:29d7cdaa35ffd264318a3ea5770796b0d59e06862ebe54bdb9d9d7b9b944a6fb
      lastState: {}
      name: compute
      ready: true
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2025-01-06T05:09:39Z"
      volumeMounts:
      - mountPath: /var/run/kubevirt-private
        name: private
      - mountPath: /var/run/kubevirt
        name: public
      - mountPath: /var/run/kubevirt-ephemeral-disks
        name: ephemeral-disks
      - mountPath: /var/run/kubevirt/container-disks
        name: container-disks
      - mountPath: /var/run/libvirt
        name: libvirt-runtime
      - mountPath: /var/run/kubevirt/sockets
        name: sockets
      - mountPath: /var/run/kubevirt/hotplug-disks
        name: hotplug-disks
    hostIP: 192.168.3.177
    hostIPs:
    - ip: 192.168.3.177
    phase: Running
    podIP: 10.128.3.243
    podIPs:
    - ip: 10.128.3.243
    qosClass: Burstable
    startTime: "2025-01-06T05:09:21Z"
kind: List
metadata:
  resourceVersion: ""
